# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

# RPM version needs 3 digits after the decimal to preserve upgrade path
%global perl_module_version 0.11
%global RPM_version %(echo %{perl_module_version} | %{__perl} -pi -e 's/(.*)/sprintf("%.3f", $1)/e')

Name:		perl-Pod-Readme
Version:	%{RPM_version}
Release:	1.%{__distinit}%{__distvers}
Summary:	Convert POD to README file
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Pod-Readme/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BIGPRESH/Pod-Readme-%{perl_module_version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Regexp::Common)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::Portability::Files)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is a subclass of Pod::PlainText that provides additional POD
markup for generating README files.

%prep
%setup -q -n Pod-Readme-%{perl_module_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}
%{__chmod} u+w %{buildroot}%{_bindir}/pod2readme

%check
LANG=C DEVEL_TESTS=1 %{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/pod2readme
%{perl_vendorlib}/Pod/
%{_mandir}/man1/pod2readme.1*
%{_mandir}/man3/Pod::Readme.3pm*

%changelog
* Fri Dec 10 2010 Paul Howarth <paul@city-fan.org> 0.110-1
- Update to 0.11
  - Recognise the =encoding directive, rather than dying when it's encountered
  - TODO: actually take heed of it
- Change from Build.PL to Makefile.PL flow as Build.PL dropped upstream
- BR: perl(ExtUtils::MakeMaker) rather than perl(Module::Build)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 0.100-2
- Rebuild for perl 5.12.1 in Rawhide

* Thu May 20 2010 Paul Howarth <paul@city-fan.org> 0.100-1
- Update to 0.10
  - David Precious <davidp@preshweb.co.uk> taking over maintainership
  - Apply POD fix patch from CPAN RT#38328
- This release by BIGPRESH -> update source URL

* Tue May 11 2010 Paul Howarth <paul@city-fan.org> 0.090-7
- Fix dist tag for RHEL-6 Beta

* Tue Mar  2 2010 Paul Howarth <paul@city-fan.org> 0.090-6
- Dist tag for Rawhide no longer needs special-casing

* Thu May  7 2009 Paul Howarth <paul@city-fan.org> 0.090-5
- Import from Fedora

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.090-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.090-3
- Rebuild for new perl

* Tue Nov 27 2007 Steven Pritchard <steve@kspei.com> 0.090-2
- Update License tag
- Drop explicit dependencies on Test::* modules (#232736)

* Sat Dec 09 2006 Steven Pritchard <steve@kspei.com> 0.090-1
- Update to 0.09
- Use fixperms macro instead of our own chmod incantation
- BR: Regexp::Common
- Switch back to using Module::Build

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 0.081-3
- Fix find option order

* Fri May 12 2006 Steven Pritchard <steve@kspei.com> 0.081-2
- Use Makefile.PL temporarily to work around Module::Build breakage

* Fri May 12 2006 Steven Pritchard <steve@kspei.com> 0.081-1
- Specfile autogenerated by cpanspec 1.66
- Remove explicit perl dep
- Set DEVEL_TESTS for "Build test"
- Add bindir and man1 to file list
